foreach ($CipherSuite in $(Get-TlsCipherSuite).Name)
{
       "Disabling cipher suite: " + $CipherSuite
       Disable-TlsCipherSuite -Name $CipherSuite
}
Enable-TlsCipherSuite -Name  TLS_AES_256_GCM_SHA384
Enable-TlsCipherSuite -Name  TLS_AES_128_GCM_SHA256
Enable-TlsCipherSuite -Name  TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384
Enable-TlsCipherSuite -Name  TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256
Enable-TlsCipherSuite -Name  TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384
Enable-TlsCipherSuite -Name  TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256
Enable-TlsCipherSuite -Name  TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384
Enable-TlsCipherSuite -Name  TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256
Enable-TlsCipherSuite -Name  TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384
Enable-TlsCipherSuite -Name  TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256
Enable-TlsCipherSuite -Name  TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA
Enable-TlsCipherSuite -Name  TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA
Enable-TlsCipherSuite -Name  TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA
Enable-TlsCipherSuite -Name  TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA
Enable-TlsCipherSuite -Name  TLS_RSA_WITH_AES_256_GCM_SHA384
Enable-TlsCipherSuite -Name  TLS_RSA_WITH_AES_128_GCM_SHA256
Enable-TlsCipherSuite -Name  TLS_RSA_WITH_NULL_SHA256
Enable-TlsCipherSuite -Name  TLS_RSA_WITH_NULL_SHA
Enable-TlsCipherSuite -Name  TLS_PSK_WITH_AES_256_GCM_SHA384
Enable-TlsCipherSuite -Name  TLS_PSK_WITH_AES_128_GCM_SHA256
Enable-TlsCipherSuite -Name  TLS_PSK_WITH_AES_256_CBC_SHA384
Enable-TlsCipherSuite -Name  TLS_PSK_WITH_AES_128_CBC_SHA256
Enable-TlsCipherSuite -Name  TLS_PSK_WITH_NULL_SHA384
Enable-TlsCipherSuite -Name  TLS_PSK_WITH_NULL_SHA256
Enable-TlsCipherSuite -Name  TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256_P256
Enable-TlsCipherSuite -Name  TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384_P384
Enable-TlsCipherSuite -Name  TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256_P256
Enable-TlsCipherSuite -Name  TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256_P384
Enable-TlsCipherSuite -Name  TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA_P256
Enable-TlsCipherSuite -Name  TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA_P384
Enable-TlsCipherSuite -Name  TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA_P256
Enable-TlsCipherSuite -Name  TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA_P384
Enable-TlsCipherSuite -Name  TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256_P256
Enable-TlsCipherSuite -Name  TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA_P256
Enable-TlsCipherSuite -Name  TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA_P384
Enable-TlsCipherSuite -Name  TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA_P256
Enable-TlsCipherSuite -Name  TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA_P384
Enable-TlsCipherSuite -Name  TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384_P384
Enable-TlsCipherSuite -Name  TLS_RSA_WITH_AES_128_CBC_SHA256
Enable-TlsCipherSuite -Name  TLS_RSA_WITH_AES_128_CBC_SHA
Enable-TlsCipherSuite -Name  TLS_RSA_WITH_AES_256_CBC_SHA256
Enable-TlsCipherSuite -Name  TLS_RSA_WITH_AES_256_CBC_SHA
Enable-TlsCipherSuite -Name  TLS_RSA_WITH_3DES_EDE_CBC_SHA

pause